Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network8.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
8.0.0.0
Broadcast address
8.127.255.255
First usable
8.0.0.1
Last usable
8.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 08000000 · Integer 134217728 to 142606335
Reverse DNS zones
0.8.in-addr.arpa
1.8.in-addr.arpa
2.8.in-addr.arpa
3.8.in-addr.arpa
4.8.in-addr.arpa
5.8.in-addr.arpa
6.8.in-addr.arpa
7.8.in-addr.arpa
8.8.in-addr.arpa
9.8.in-addr.arpa
10.8.in-addr.arpa
11.8.in-addr.arpa
12.8.in-addr.arpa
13.8.in-addr.arpa
14.8.in-addr.arpa
15.8.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001000.00000000.00000000.000000008.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00001000.00000000.00000000.000000008.0.0.0
Broadcast00001000.01111111.11111111.111111118.127.255.255
Split into smaller subnets/17

8.0.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
18.0.0.0/178.0.0.1 to 8.0.127.2548.0.127.25532,766
28.0.128.0/178.0.128.1 to 8.0.255.2548.0.255.25532,766
38.1.0.0/178.1.0.1 to 8.1.127.2548.1.127.25532,766
48.1.128.0/178.1.128.1 to 8.1.255.2548.1.255.25532,766
58.2.0.0/178.2.0.1 to 8.2.127.2548.2.127.25532,766
68.2.128.0/178.2.128.1 to 8.2.255.2548.2.255.25532,766
78.3.0.0/178.3.0.1 to 8.3.127.2548.3.127.25532,766
88.3.128.0/178.3.128.1 to 8.3.255.2548.3.255.25532,766
98.4.0.0/178.4.0.1 to 8.4.127.2548.4.127.25532,766
108.4.128.0/178.4.128.1 to 8.4.255.2548.4.255.25532,766
118.5.0.0/178.5.0.1 to 8.5.127.2548.5.127.25532,766
128.5.128.0/178.5.128.1 to 8.5.255.2548.5.255.25532,766
138.6.0.0/178.6.0.1 to 8.6.127.2548.6.127.25532,766
148.6.128.0/178.6.128.1 to 8.6.255.2548.6.255.25532,766
158.7.0.0/178.7.0.1 to 8.7.127.2548.7.127.25532,766
168.7.128.0/178.7.128.1 to 8.7.255.2548.7.255.25532,766
178.8.0.0/178.8.0.1 to 8.8.127.2548.8.127.25532,766
188.8.128.0/178.8.128.1 to 8.8.255.2548.8.255.25532,766
198.9.0.0/178.9.0.1 to 8.9.127.2548.9.127.25532,766
208.9.128.0/178.9.128.1 to 8.9.255.2548.9.255.25532,766
218.10.0.0/178.10.0.1 to 8.10.127.2548.10.127.25532,766
228.10.128.0/178.10.128.1 to 8.10.255.2548.10.255.25532,766
238.11.0.0/178.11.0.1 to 8.11.127.2548.11.127.25532,766
248.11.128.0/178.11.128.1 to 8.11.255.2548.11.255.25532,766
258.12.0.0/178.12.0.1 to 8.12.127.2548.12.127.25532,766
268.12.128.0/178.12.128.1 to 8.12.255.2548.12.255.25532,766
278.13.0.0/178.13.0.1 to 8.13.127.2548.13.127.25532,766
288.13.128.0/178.13.128.1 to 8.13.255.2548.13.255.25532,766
298.14.0.0/178.14.0.1 to 8.14.127.2548.14.127.25532,766
308.14.128.0/178.14.128.1 to 8.14.255.2548.14.255.25532,766
318.15.0.0/178.15.0.1 to 8.15.127.2548.15.127.25532,766
328.15.128.0/178.15.128.1 to 8.15.255.2548.15.255.25532,766
338.16.0.0/178.16.0.1 to 8.16.127.2548.16.127.25532,766
348.16.128.0/178.16.128.1 to 8.16.255.2548.16.255.25532,766
358.17.0.0/178.17.0.1 to 8.17.127.2548.17.127.25532,766
368.17.128.0/178.17.128.1 to 8.17.255.2548.17.255.25532,766
378.18.0.0/178.18.0.1 to 8.18.127.2548.18.127.25532,766
388.18.128.0/178.18.128.1 to 8.18.255.2548.18.255.25532,766
398.19.0.0/178.19.0.1 to 8.19.127.2548.19.127.25532,766
408.19.128.0/178.19.128.1 to 8.19.255.2548.19.255.25532,766
418.20.0.0/178.20.0.1 to 8.20.127.2548.20.127.25532,766
428.20.128.0/178.20.128.1 to 8.20.255.2548.20.255.25532,766
438.21.0.0/178.21.0.1 to 8.21.127.2548.21.127.25532,766
448.21.128.0/178.21.128.1 to 8.21.255.2548.21.255.25532,766
458.22.0.0/178.22.0.1 to 8.22.127.2548.22.127.25532,766
468.22.128.0/178.22.128.1 to 8.22.255.2548.22.255.25532,766
478.23.0.0/178.23.0.1 to 8.23.127.2548.23.127.25532,766
488.23.128.0/178.23.128.1 to 8.23.255.2548.23.255.25532,766
498.24.0.0/178.24.0.1 to 8.24.127.2548.24.127.25532,766
508.24.128.0/178.24.128.1 to 8.24.255.2548.24.255.25532,766
518.25.0.0/178.25.0.1 to 8.25.127.2548.25.127.25532,766
528.25.128.0/178.25.128.1 to 8.25.255.2548.25.255.25532,766
538.26.0.0/178.26.0.1 to 8.26.127.2548.26.127.25532,766
548.26.128.0/178.26.128.1 to 8.26.255.2548.26.255.25532,766
558.27.0.0/178.27.0.1 to 8.27.127.2548.27.127.25532,766
568.27.128.0/178.27.128.1 to 8.27.255.2548.27.255.25532,766
578.28.0.0/178.28.0.1 to 8.28.127.2548.28.127.25532,766
588.28.128.0/178.28.128.1 to 8.28.255.2548.28.255.25532,766
598.29.0.0/178.29.0.1 to 8.29.127.2548.29.127.25532,766
608.29.128.0/178.29.128.1 to 8.29.255.2548.29.255.25532,766
618.30.0.0/178.30.0.1 to 8.30.127.2548.30.127.25532,766
628.30.128.0/178.30.128.1 to 8.30.255.2548.30.255.25532,766
638.31.0.0/178.31.0.1 to 8.31.127.2548.31.127.25532,766
648.31.128.0/178.31.128.1 to 8.31.255.2548.31.255.25532,766
658.32.0.0/178.32.0.1 to 8.32.127.2548.32.127.25532,766
668.32.128.0/178.32.128.1 to 8.32.255.2548.32.255.25532,766
678.33.0.0/178.33.0.1 to 8.33.127.2548.33.127.25532,766
688.33.128.0/178.33.128.1 to 8.33.255.2548.33.255.25532,766
698.34.0.0/178.34.0.1 to 8.34.127.2548.34.127.25532,766
708.34.128.0/178.34.128.1 to 8.34.255.2548.34.255.25532,766
718.35.0.0/178.35.0.1 to 8.35.127.2548.35.127.25532,766
728.35.128.0/178.35.128.1 to 8.35.255.2548.35.255.25532,766
738.36.0.0/178.36.0.1 to 8.36.127.2548.36.127.25532,766
748.36.128.0/178.36.128.1 to 8.36.255.2548.36.255.25532,766
758.37.0.0/178.37.0.1 to 8.37.127.2548.37.127.25532,766
768.37.128.0/178.37.128.1 to 8.37.255.2548.37.255.25532,766
778.38.0.0/178.38.0.1 to 8.38.127.2548.38.127.25532,766
788.38.128.0/178.38.128.1 to 8.38.255.2548.38.255.25532,766
798.39.0.0/178.39.0.1 to 8.39.127.2548.39.127.25532,766
808.39.128.0/178.39.128.1 to 8.39.255.2548.39.255.25532,766
818.40.0.0/178.40.0.1 to 8.40.127.2548.40.127.25532,766
828.40.128.0/178.40.128.1 to 8.40.255.2548.40.255.25532,766
838.41.0.0/178.41.0.1 to 8.41.127.2548.41.127.25532,766
848.41.128.0/178.41.128.1 to 8.41.255.2548.41.255.25532,766
858.42.0.0/178.42.0.1 to 8.42.127.2548.42.127.25532,766
868.42.128.0/178.42.128.1 to 8.42.255.2548.42.255.25532,766
878.43.0.0/178.43.0.1 to 8.43.127.2548.43.127.25532,766
888.43.128.0/178.43.128.1 to 8.43.255.2548.43.255.25532,766
898.44.0.0/178.44.0.1 to 8.44.127.2548.44.127.25532,766
908.44.128.0/178.44.128.1 to 8.44.255.2548.44.255.25532,766
918.45.0.0/178.45.0.1 to 8.45.127.2548.45.127.25532,766
928.45.128.0/178.45.128.1 to 8.45.255.2548.45.255.25532,766
938.46.0.0/178.46.0.1 to 8.46.127.2548.46.127.25532,766
948.46.128.0/178.46.128.1 to 8.46.255.2548.46.255.25532,766
958.47.0.0/178.47.0.1 to 8.47.127.2548.47.127.25532,766
968.47.128.0/178.47.128.1 to 8.47.255.2548.47.255.25532,766
978.48.0.0/178.48.0.1 to 8.48.127.2548.48.127.25532,766
988.48.128.0/178.48.128.1 to 8.48.255.2548.48.255.25532,766
998.49.0.0/178.49.0.1 to 8.49.127.2548.49.127.25532,766
1008.49.128.0/178.49.128.1 to 8.49.255.2548.49.255.25532,766
1018.50.0.0/178.50.0.1 to 8.50.127.2548.50.127.25532,766
1028.50.128.0/178.50.128.1 to 8.50.255.2548.50.255.25532,766
1038.51.0.0/178.51.0.1 to 8.51.127.2548.51.127.25532,766
1048.51.128.0/178.51.128.1 to 8.51.255.2548.51.255.25532,766
1058.52.0.0/178.52.0.1 to 8.52.127.2548.52.127.25532,766
1068.52.128.0/178.52.128.1 to 8.52.255.2548.52.255.25532,766
1078.53.0.0/178.53.0.1 to 8.53.127.2548.53.127.25532,766
1088.53.128.0/178.53.128.1 to 8.53.255.2548.53.255.25532,766
1098.54.0.0/178.54.0.1 to 8.54.127.2548.54.127.25532,766
1108.54.128.0/178.54.128.1 to 8.54.255.2548.54.255.25532,766
1118.55.0.0/178.55.0.1 to 8.55.127.2548.55.127.25532,766
1128.55.128.0/178.55.128.1 to 8.55.255.2548.55.255.25532,766
1138.56.0.0/178.56.0.1 to 8.56.127.2548.56.127.25532,766
1148.56.128.0/178.56.128.1 to 8.56.255.2548.56.255.25532,766
1158.57.0.0/178.57.0.1 to 8.57.127.2548.57.127.25532,766
1168.57.128.0/178.57.128.1 to 8.57.255.2548.57.255.25532,766
1178.58.0.0/178.58.0.1 to 8.58.127.2548.58.127.25532,766
1188.58.128.0/178.58.128.1 to 8.58.255.2548.58.255.25532,766
1198.59.0.0/178.59.0.1 to 8.59.127.2548.59.127.25532,766
1208.59.128.0/178.59.128.1 to 8.59.255.2548.59.255.25532,766
1218.60.0.0/178.60.0.1 to 8.60.127.2548.60.127.25532,766
1228.60.128.0/178.60.128.1 to 8.60.255.2548.60.255.25532,766
1238.61.0.0/178.61.0.1 to 8.61.127.2548.61.127.25532,766
1248.61.128.0/178.61.128.1 to 8.61.255.2548.61.255.25532,766
1258.62.0.0/178.62.0.1 to 8.62.127.2548.62.127.25532,766
1268.62.128.0/178.62.128.1 to 8.62.255.2548.62.255.25532,766
1278.63.0.0/178.63.0.1 to 8.63.127.2548.63.127.25532,766
1288.63.128.0/178.63.128.1 to 8.63.255.2548.63.255.25532,766
1298.64.0.0/178.64.0.1 to 8.64.127.2548.64.127.25532,766
1308.64.128.0/178.64.128.1 to 8.64.255.2548.64.255.25532,766
1318.65.0.0/178.65.0.1 to 8.65.127.2548.65.127.25532,766
1328.65.128.0/178.65.128.1 to 8.65.255.2548.65.255.25532,766
1338.66.0.0/178.66.0.1 to 8.66.127.2548.66.127.25532,766
1348.66.128.0/178.66.128.1 to 8.66.255.2548.66.255.25532,766
1358.67.0.0/178.67.0.1 to 8.67.127.2548.67.127.25532,766
1368.67.128.0/178.67.128.1 to 8.67.255.2548.67.255.25532,766
1378.68.0.0/178.68.0.1 to 8.68.127.2548.68.127.25532,766
1388.68.128.0/178.68.128.1 to 8.68.255.2548.68.255.25532,766
1398.69.0.0/178.69.0.1 to 8.69.127.2548.69.127.25532,766
1408.69.128.0/178.69.128.1 to 8.69.255.2548.69.255.25532,766
1418.70.0.0/178.70.0.1 to 8.70.127.2548.70.127.25532,766
1428.70.128.0/178.70.128.1 to 8.70.255.2548.70.255.25532,766
1438.71.0.0/178.71.0.1 to 8.71.127.2548.71.127.25532,766
1448.71.128.0/178.71.128.1 to 8.71.255.2548.71.255.25532,766
1458.72.0.0/178.72.0.1 to 8.72.127.2548.72.127.25532,766
1468.72.128.0/178.72.128.1 to 8.72.255.2548.72.255.25532,766
1478.73.0.0/178.73.0.1 to 8.73.127.2548.73.127.25532,766
1488.73.128.0/178.73.128.1 to 8.73.255.2548.73.255.25532,766
1498.74.0.0/178.74.0.1 to 8.74.127.2548.74.127.25532,766
1508.74.128.0/178.74.128.1 to 8.74.255.2548.74.255.25532,766
1518.75.0.0/178.75.0.1 to 8.75.127.2548.75.127.25532,766
1528.75.128.0/178.75.128.1 to 8.75.255.2548.75.255.25532,766
1538.76.0.0/178.76.0.1 to 8.76.127.2548.76.127.25532,766
1548.76.128.0/178.76.128.1 to 8.76.255.2548.76.255.25532,766
1558.77.0.0/178.77.0.1 to 8.77.127.2548.77.127.25532,766
1568.77.128.0/178.77.128.1 to 8.77.255.2548.77.255.25532,766
1578.78.0.0/178.78.0.1 to 8.78.127.2548.78.127.25532,766
1588.78.128.0/178.78.128.1 to 8.78.255.2548.78.255.25532,766
1598.79.0.0/178.79.0.1 to 8.79.127.2548.79.127.25532,766
1608.79.128.0/178.79.128.1 to 8.79.255.2548.79.255.25532,766
1618.80.0.0/178.80.0.1 to 8.80.127.2548.80.127.25532,766
1628.80.128.0/178.80.128.1 to 8.80.255.2548.80.255.25532,766
1638.81.0.0/178.81.0.1 to 8.81.127.2548.81.127.25532,766
1648.81.128.0/178.81.128.1 to 8.81.255.2548.81.255.25532,766
1658.82.0.0/178.82.0.1 to 8.82.127.2548.82.127.25532,766
1668.82.128.0/178.82.128.1 to 8.82.255.2548.82.255.25532,766
1678.83.0.0/178.83.0.1 to 8.83.127.2548.83.127.25532,766
1688.83.128.0/178.83.128.1 to 8.83.255.2548.83.255.25532,766
1698.84.0.0/178.84.0.1 to 8.84.127.2548.84.127.25532,766
1708.84.128.0/178.84.128.1 to 8.84.255.2548.84.255.25532,766
1718.85.0.0/178.85.0.1 to 8.85.127.2548.85.127.25532,766
1728.85.128.0/178.85.128.1 to 8.85.255.2548.85.255.25532,766
1738.86.0.0/178.86.0.1 to 8.86.127.2548.86.127.25532,766
1748.86.128.0/178.86.128.1 to 8.86.255.2548.86.255.25532,766
1758.87.0.0/178.87.0.1 to 8.87.127.2548.87.127.25532,766
1768.87.128.0/178.87.128.1 to 8.87.255.2548.87.255.25532,766
1778.88.0.0/178.88.0.1 to 8.88.127.2548.88.127.25532,766
1788.88.128.0/178.88.128.1 to 8.88.255.2548.88.255.25532,766
1798.89.0.0/178.89.0.1 to 8.89.127.2548.89.127.25532,766
1808.89.128.0/178.89.128.1 to 8.89.255.2548.89.255.25532,766
1818.90.0.0/178.90.0.1 to 8.90.127.2548.90.127.25532,766
1828.90.128.0/178.90.128.1 to 8.90.255.2548.90.255.25532,766
1838.91.0.0/178.91.0.1 to 8.91.127.2548.91.127.25532,766
1848.91.128.0/178.91.128.1 to 8.91.255.2548.91.255.25532,766
1858.92.0.0/178.92.0.1 to 8.92.127.2548.92.127.25532,766
1868.92.128.0/178.92.128.1 to 8.92.255.2548.92.255.25532,766
1878.93.0.0/178.93.0.1 to 8.93.127.2548.93.127.25532,766
1888.93.128.0/178.93.128.1 to 8.93.255.2548.93.255.25532,766
1898.94.0.0/178.94.0.1 to 8.94.127.2548.94.127.25532,766
1908.94.128.0/178.94.128.1 to 8.94.255.2548.94.255.25532,766
1918.95.0.0/178.95.0.1 to 8.95.127.2548.95.127.25532,766
1928.95.128.0/178.95.128.1 to 8.95.255.2548.95.255.25532,766
1938.96.0.0/178.96.0.1 to 8.96.127.2548.96.127.25532,766
1948.96.128.0/178.96.128.1 to 8.96.255.2548.96.255.25532,766
1958.97.0.0/178.97.0.1 to 8.97.127.2548.97.127.25532,766
1968.97.128.0/178.97.128.1 to 8.97.255.2548.97.255.25532,766
1978.98.0.0/178.98.0.1 to 8.98.127.2548.98.127.25532,766
1988.98.128.0/178.98.128.1 to 8.98.255.2548.98.255.25532,766
1998.99.0.0/178.99.0.1 to 8.99.127.2548.99.127.25532,766
2008.99.128.0/178.99.128.1 to 8.99.255.2548.99.255.25532,766
2018.100.0.0/178.100.0.1 to 8.100.127.2548.100.127.25532,766
2028.100.128.0/178.100.128.1 to 8.100.255.2548.100.255.25532,766
2038.101.0.0/178.101.0.1 to 8.101.127.2548.101.127.25532,766
2048.101.128.0/178.101.128.1 to 8.101.255.2548.101.255.25532,766
2058.102.0.0/178.102.0.1 to 8.102.127.2548.102.127.25532,766
2068.102.128.0/178.102.128.1 to 8.102.255.2548.102.255.25532,766
2078.103.0.0/178.103.0.1 to 8.103.127.2548.103.127.25532,766
2088.103.128.0/178.103.128.1 to 8.103.255.2548.103.255.25532,766
2098.104.0.0/178.104.0.1 to 8.104.127.2548.104.127.25532,766
2108.104.128.0/178.104.128.1 to 8.104.255.2548.104.255.25532,766
2118.105.0.0/178.105.0.1 to 8.105.127.2548.105.127.25532,766
2128.105.128.0/178.105.128.1 to 8.105.255.2548.105.255.25532,766
2138.106.0.0/178.106.0.1 to 8.106.127.2548.106.127.25532,766
2148.106.128.0/178.106.128.1 to 8.106.255.2548.106.255.25532,766
2158.107.0.0/178.107.0.1 to 8.107.127.2548.107.127.25532,766
2168.107.128.0/178.107.128.1 to 8.107.255.2548.107.255.25532,766
2178.108.0.0/178.108.0.1 to 8.108.127.2548.108.127.25532,766
2188.108.128.0/178.108.128.1 to 8.108.255.2548.108.255.25532,766
2198.109.0.0/178.109.0.1 to 8.109.127.2548.109.127.25532,766
2208.109.128.0/178.109.128.1 to 8.109.255.2548.109.255.25532,766
2218.110.0.0/178.110.0.1 to 8.110.127.2548.110.127.25532,766
2228.110.128.0/178.110.128.1 to 8.110.255.2548.110.255.25532,766
2238.111.0.0/178.111.0.1 to 8.111.127.2548.111.127.25532,766
2248.111.128.0/178.111.128.1 to 8.111.255.2548.111.255.25532,766
2258.112.0.0/178.112.0.1 to 8.112.127.2548.112.127.25532,766
2268.112.128.0/178.112.128.1 to 8.112.255.2548.112.255.25532,766
2278.113.0.0/178.113.0.1 to 8.113.127.2548.113.127.25532,766
2288.113.128.0/178.113.128.1 to 8.113.255.2548.113.255.25532,766
2298.114.0.0/178.114.0.1 to 8.114.127.2548.114.127.25532,766
2308.114.128.0/178.114.128.1 to 8.114.255.2548.114.255.25532,766
2318.115.0.0/178.115.0.1 to 8.115.127.2548.115.127.25532,766
2328.115.128.0/178.115.128.1 to 8.115.255.2548.115.255.25532,766
2338.116.0.0/178.116.0.1 to 8.116.127.2548.116.127.25532,766
2348.116.128.0/178.116.128.1 to 8.116.255.2548.116.255.25532,766
2358.117.0.0/178.117.0.1 to 8.117.127.2548.117.127.25532,766
2368.117.128.0/178.117.128.1 to 8.117.255.2548.117.255.25532,766
2378.118.0.0/178.118.0.1 to 8.118.127.2548.118.127.25532,766
2388.118.128.0/178.118.128.1 to 8.118.255.2548.118.255.25532,766
2398.119.0.0/178.119.0.1 to 8.119.127.2548.119.127.25532,766
2408.119.128.0/178.119.128.1 to 8.119.255.2548.119.255.25532,766
2418.120.0.0/178.120.0.1 to 8.120.127.2548.120.127.25532,766
2428.120.128.0/178.120.128.1 to 8.120.255.2548.120.255.25532,766
2438.121.0.0/178.121.0.1 to 8.121.127.2548.121.127.25532,766
2448.121.128.0/178.121.128.1 to 8.121.255.2548.121.255.25532,766
2458.122.0.0/178.122.0.1 to 8.122.127.2548.122.127.25532,766
2468.122.128.0/178.122.128.1 to 8.122.255.2548.122.255.25532,766
2478.123.0.0/178.123.0.1 to 8.123.127.2548.123.127.25532,766
2488.123.128.0/178.123.128.1 to 8.123.255.2548.123.255.25532,766
2498.124.0.0/178.124.0.1 to 8.124.127.2548.124.127.25532,766
2508.124.128.0/178.124.128.1 to 8.124.255.2548.124.255.25532,766
2518.125.0.0/178.125.0.1 to 8.125.127.2548.125.127.25532,766
2528.125.128.0/178.125.128.1 to 8.125.255.2548.125.255.25532,766
2538.126.0.0/178.126.0.1 to 8.126.127.2548.126.127.25532,766
2548.126.128.0/178.126.128.1 to 8.126.255.2548.126.255.25532,766
2558.127.0.0/178.127.0.1 to 8.127.127.2548.127.127.25532,766
2568.127.128.0/178.127.128.1 to 8.127.255.2548.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses